
QGIS Application - Bug report #14102

Application Crash

2016-01-14 04:53 AM - Grzeoprz Garstka

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22108

Description

Hello,

I'm getting crash while working on a big dates (modification, write, read) when closing also. Please help. Thanks in advance

QGIS 2.12.2 Lyon

Windows 7 Enterprise x64

History

#1 - 2016-01-14 06:02 AM - Sebastian Dietrich

- Crashes QGIS or corrupts data changed from No to Yes

Can you reproduce using the latest nightly build?

This should have debug output enabled so if you run it from a command line you should see debug messages. Please post these messages here, probably

as an attachment.

#2 - 2016-01-14 06:41 AM - Grzeoprz Garstka

sorry but i'm a newbie. could you be more particularly?

#3 - 2016-01-14 03:39 PM - Sebastian Dietrich

Oh, sure :-)

Since version 2.12.2 QGIS has seen many bugfixes and improvements. There is the chance that your problem is already fixed. So the first thing to do is to

check that.

Download the latest nightly build

Please go to the QGIS download page, Windows section and follow the instructions do download and install the latest development version called qgis-dev

.

(Hint: The first step is to Download OSGeo4W Installer and start it.)

Open a command line window

    -  Hit Windows + R and type cmd.exe and click "Run".

    -  Type cd \\OSGeo4W\\bin and hit enter, if you installed OSGeo4W into the default location. If not, use the folder you installed it to, followed by \\bin.

Run QGIS and capture debug output
https://www.qgis.org/en/site/forusers/alldownloads.html#windows
http://qgis.org/en/site/forusers/alldownloads.html#windows


The QGIS development versions print useful messages about what they are doing. These messages are key to investigate issues like this, so we let them

go to a file that you can attach here.

    -  In the command line prompt type qgis-dev-g7.0.2.bat > debuglog.txt and hit enter.

Make QGIS crash and attach the log

    -  Try to reproduce the crash, the faster the better.

    -  After it crashed, attach the file debuglog.txt in the folder C:\\OSGeo4W\\bin to this ticket.

#4 - 2016-01-16 03:17 AM - Sebastian Dietrich

- Status changed from Open to Feedback

#5 - 2016-01-20 01:11 AM - Saber Razmjooei

Grzeoprz,

When does the crash happen? During digitizing, loading new layers, panning and zooming?

If it is during digitizing, is snapping enabled?

What format are your layers? PostGIS, shapefile, etc

To be able to reproduce your problem, detail description of when/how QGIS crashes is needed to start with.

#6 - 2016-01-21 01:21 AM - Grzeoprz Garstka

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Thank you guys for help, seems the problem does not appear anymore. The only problem is while closing QGIS but it does not affect on user work. I have

tried run application with debug mode to file like you suggested but it is empty inside.
